Package ru.bitel.bgbilling.plugins.crm.server.dao

# Class RegisterExecutorManager

java.lang.Object
ru.bitel.bgbilling.plugins.crm.server.dao.RegisterExecutorManager

    public class RegisterExecutorManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RegisterExecutorManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<java.lang.Integer>` | `getExecuterGroupIds​(int executerId)` |
  `ExecuterItem` | `getExecuterItem​(int id)` |
  `java.util.List<RegisterExecutor>` | `getRegisterExecutorList​(java.lang.String groups, java.util.List<java.lang.Integer> executorList)` | Deprecated. использовать `getRegisterExecutorList(List, List)`
  `java.util.List<RegisterExecutor>` | `getRegisterExecutorList​(java.util.List<java.lang.Integer> groupList)` |
  `java.util.List<RegisterExecutor>` | `getRegisterExecutorList​(java.util.List<java.lang.Integer> groupList, java.util.List<java.lang.Integer> executorList)` |
  `void` | `updateExecuterGroupIds​(int executerId, java.util.List<java.lang.Integer> groupIds)` |
  `void` | `updateExecuterItem​(ExecuterItem executerItem)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterExecutorManager

    public RegisterExecutorManager​(java.sql.Connection con)

- ## Method Details

  - ### getExecuterItem

    public ExecuterItem getExecuterItem​(int id) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getExecuterGroupIds

    public java.util.List<java.lang.Integer> getExecuterGroupIds​(int executerId) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### updateExecuterItem

    public void updateExecuterItem​(ExecuterItem executerItem) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### updateExecuterGroupIds

    public void updateExecuterGroupIds​(int executerId, java.util.List<java.lang.Integer> groupIds) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getRegisterExecutorList

    public java.util.List<RegisterExecutor> getRegisterExecutorList​(java.lang.String groups, java.util.List<java.lang.Integer> executorList) throws java.sql.SQLException
    Deprecated.
    использовать `getRegisterExecutorList(List, List)`
    Parameters:
      `groups` -
      `executorList` -
    Returns:
    Throws:
      `java.sql.SQLException`

  - ### getRegisterExecutorList

    public java.util.List<RegisterExecutor> getRegisterExecutorList​(java.util.List<java.lang.Integer> groupList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRegisterExecutorList

    public java.util.List<RegisterExecutor> getRegisterExecutorList​(java.util.List<java.lang.Integer> groupList, java.util.List<java.lang.Integer> executorList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`